"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const crud_service_1 = require("./crud.service");
class AbstractCrudService {
    constructor(tableName, idColumnName = 'id', partitionKey = null) {
        this.crudService = crud_service_1.CrudFactory.databaseClientService(tableName, idColumnName, partitionKey);
    }
    create(entity) {
        return this.crudService.create(entity);
    }
    find(options) {
        return this.crudService.find(options);
    }
    findById(options) {
        return this.crudService.findById(options);
    }
    update(filters, data) {
        return this.crudService.update(filters, data);
    }
    remove(filters) {
        return this.crudService.remove(filters);
    }
    buildFilter(attribute, value, operator = 'EQUAL') {
        return {
            attribute,
            operator,
            value,
        };
    }
}
exports.default = AbstractCrudService;
//# sourceMappingURL=abstractCrud.service.js.map